﻿using System;
using System.Management;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            ManagementObjectSearcher managementObjectSearcher = new ManagementObjectSearcher("SELECT * FROM Win32_SoundDevice");

            ManagementObjectCollection managementObjectCollection = managementObjectSearcher.Get();

            foreach(ManagementObject managementObject in managementObjectCollection)
            {
                foreach(PropertyData propertyData in managementObject.Properties)
                {
                    Console.WriteLine($"{propertyData.Name} : {propertyData.Value}");
                }

                Console.WriteLine();
            }
        }

        #endregion
    }
}